Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.franz.agjena
Class AllegroGraphModel

    java.lang.Object
      ModelCom
          com.franz.agjena.AllegroGraphModel

    public class AllegroGraphModel

extends ModelCom

Nested Class Summary
`static class` | `AllegroGraphModel.V3_2Mar27` The name of this class identifies the version of the AllegroGraph Java implementation.

Field Summary
`static java.lang.String` | `NTRIPLES_FORMAT`
`static java.lang.String` | `RDFXML_FORMAT`

Constructor Summary
`AllegroGraphModel(Graph base)` Create an AllegroGraph model to front an AllegroGraph graph.
`AllegroGraphModel(Graph base, Personality personality)`

Method Summary
`void` | `close()` There appears to be nothing in AllegroGraph that corresponds a call to close a model, so this call is a no-op.
`AllegroGraph` | `getAllegroGraphStore()`
`java.lang.String` | `getName()`
`void` | `indexTriples(boolean indexAll, boolean asynchronous)` Index the triples in the AllegroGraph store.
`Model` | `read(java.io.InputStream reader, java.lang.String base)`
`Model` | `read(java.io.InputStream reader, java.lang.String base, java.lang.String lang)`
`Model` | `read(java.io.Reader reader, java.lang.String base)`
`Model` | `read(java.io.Reader reader, java.lang.String base, java.lang.String lang)`
`Model` | `read(java.lang.String url)`
`Model` | `read(java.lang.String url, java.lang.String lang)`
`Model` | `read(java.lang.String url, java.lang.String base, java.lang.String lang)` Load triples from the source 'url' into the graph/context for this model.
`Model` | `removeAll()` Remove all the statements from this model.
`Model` | `removeAll(Resource s, Property p, RDFNode o)` Remove all the statements matching (s, p, o) from this model.
`long` | `size()` Slowly and laboriously count the number of triples in the base graph associated with this model.
`boolean` | `supportsTransactions()`
`java.lang.String` | `toString()`
`static java.lang.String` | `version()` Query the current AllegroGraphModel version.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NTRIPLES_FORMAT

    public static java.lang.String NTRIPLES_FORMAT

### RDFXML_FORMAT

    public static java.lang.String RDFXML_FORMAT

Constructor Detail

### AllegroGraphModel

    public AllegroGraphModel(Graph base)

  Create an AllegroGraph model to front an AllegroGraph graph.

### AllegroGraphModel

    public AllegroGraphModel(Graph base,
                             Personality personality)

Method Detail

### version

    public static java.lang.String version()

  Query the current AllegroGraphModel version.

  Returns:
    a version string.

### getAllegroGraphStore

    public AllegroGraph getAllegroGraphStore()

### getName

    public java.lang.String getName()

### toString

    public java.lang.String toString()

### read

    public Model read(java.lang.String url)

### read

    public Model read(java.io.Reader reader,
                      java.lang.String base)

### read

    public Model read(java.io.InputStream reader,
                      java.lang.String base)

### read

    public Model read(java.lang.String url,
                      java.lang.String lang)

### read

    public Model read(java.lang.String url,
                      java.lang.String base,
                      java.lang.String lang)

  Load triples from the source 'url' into the graph/context for this model. If that graph is an INF graph, load into the underlying raw graph instead.

### read

    public Model read(java.io.Reader reader,
                      java.lang.String base,
                      java.lang.String lang)

### read

    public Model read(java.io.InputStream reader,
                      java.lang.String base,
                      java.lang.String lang)

### supportsTransactions

    public boolean supportsTransactions()

### removeAll

    public Model removeAll()

  Remove all the statements from this model.

### removeAll

    public Model removeAll(Resource s,
                           Property p,
                           RDFNode o)

  Remove all the statements matching (s, p, o) from this model.

### close

    public void close()

  There appears to be nothing in AllegroGraph that corresponds a call to close a model, so this call is a no-op. Without it, the Jena code goes into an infinite recursion, so this method really does need to be here.

### indexTriples

    public void indexTriples(boolean indexAll,
                             boolean asynchronous)

  Index the triples in the AllegroGraph store. This should be done after every batch of updates. By default, only triples added after the last call to 'indexTriples' are indexed. If 'indexAll' is set to 'true', all triples in the store are re-indexed. If 'asynchronous' is set to 'true', a separate thread will be created to index the triples, and the call to 'indexTriples' returns immediately (before the indexing has completed).

### size

    public long size()

  Slowly and laboriously count the number of triples in the base graph associated with this model.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD